xseitdept
1 Nickel

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

Sorry for the confusion. When you import the zip dell-eql-mem-esx6-1.4.0.426823.zip file into update manager, it imports all 3 versions of that file as extensions available for install. So i'm not sure which one of the three I listed do i need to install through update manager to the host. I'm guessing the last one with 0.0 on the end of it but i wanted to double check before deploying to the host. 

0 Kudos

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

Hello, 

 Something does not sound right.  You should only see one entry when you import the ZIP file.  Did you do it as a patch or as an EXTENSION.  MEM is an extension. 

 Don 

Social Media and Community Professional
#IWork4Dell
Get Support on Twitter - @dellcarespro

0 Kudos

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

Hello,

 My apologies, I do see what you mean.  It should be the first file, w/o any extension. 

 Regards,

Don 

Social Media and Community Professional
#IWork4Dell
Get Support on Twitter - @dellcarespro

0 Kudos
Highlighted
AbeyMarquez
1 Nickel

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

I had the 1.3 MEM installed and I'm now trying to install 1.4. I also see 3 separate extensions being imported instead of 1 like in previous versions. On top of that, the import finally fails with this error:

"Invalid vendor code del in patch metadata, another vendor code with different capitalization already exists in database. Check the Update Manager log files for more details."

Any ideas what could be causing this?

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

Hello, 

Please open a support case for this.  I believe they're going to need to review the logs to understand what's happening here. 

 Regards, 

Don 

Social Media and Community Professional
#IWork4Dell
Get Support on Twitter - @dellcarespro

0 Kudos
Origin3k
3 Silver

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

I can confirm the confusion and also the error msg. Together with a borked OMSA 8.4 i was unable to apply any ESXi patches after importet the dell MEM/OMSA packages into VUM and installed on ESXi.

After deinstallation of the 3 MEM vibs (right order is needed!) i was not able to get VUM working again and i wipe the database and importet MEM 1.3. which works like a charm.

Regards,
Joerg

0 Kudos
gavin11
1 Copper

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

ESXi 6. VSphere on Server 2012R2.

Exact same problem here. 1.3 in repository, "invalid vendor code delin patch metadata" when I try to add 1.4. No option to remove extension. Nothing in "C:\ProgramData\VMware\VMware Update Manager\Logs\2016_12_21.request.log" except for "POST /vum-fileupload/login HTTP/1.1 200" and "POST /vum-fileupload/upload HTTP/1.1 200"

I also have ServerAdministrator 8.3 and 8.4 extensions in the repository.

EDIT.

Imported successfully on second VSphere site, but 3 different patches added.

EDIT.

Was unable to even scan hosts with these in the repository. Had to edit database to remove (unsupported but worked).

0 Kudos
AbeyMarquez
1 Nickel

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

I just opened a case in TechDirect and am in conversation with them. I wanted to share with the community some things I've found though. First, the index.xml file in 1.4 is incorrectly constructed, with the vendor code showing up as "del" instead of "DELL" as in versions 1.3 and 1.2 and possible all versions before that. If this is the first MEM you install via Update Manager, it wont cause any problems. But if like me you've been adding to the same Host Extension baseline then, yeah, this is going to be a problem. Also, the reason why in this version there are 3 extensions showing up instead of 1, like *xseitdept* brought up, is because there are 3 different bulletin files inside the metadata zip instead of like in previous versions where there is one bulletin file referencing the 3 VIBs. This isn't necessarily bad, but definitely inconsistent and confusing. I'm including screenshots of both cases and comparing them to the previous version.

MEM 1.3 index.xml

MEM 1.4 index.xml (with incorrect vendor code "del")

MEM 1.3 metadata bulletin file (referencing all 3 files)

MEM 1.4 metadata bulletin file (referencing just one file each)

MEM 1.4 metadata bulletin file

0 Kudos
TERIAlexK
1 Copper

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution
0 Kudos

RE: Dell EqualLogic Multipathing Extension Module v1.4 missing setup.pl

Jump to solution

Hello, 

 If anyone is having issues install MEM v4.1,  would they be so kind as to open a support case?   

 Thank you. 

 Don 

Social Media and Community Professional
#IWork4Dell
Get Support on Twitter - @dellcarespro

0 Kudos